<apex:page standardController="Case" extensions="Programming_Case_Request" sidebar="false" >
           <apex:form >
                 <apex:pageBlock >
               <apex:pageMessages />
       <apex:pageBlocktable value="{!prods}" var="p" id="table">
                  <apex:column headerValue="Products">
              <apex:outputField value="{!p.PriceBookEntry.Name}"/>
          </apex:column>
          <apex:column headerValue="Quantity">
              <apex:outputField value="{!p.Quantity}"/>
          </apex:column>
          <apex:column headerValue="Sales Price">
              <apex:outputField value="{!p.UnitPrice}"/>              
          </apex:column>
                    <apex:column headerValue="Line Description">
                          <apex:outputField value="{!p.Description}"/>
                   </apex:column>
          <apex:column headerValue="Total Price">
             <apex:outputField value="{!p.TotalPrice}"/>
          </apex:column>  
                    <apex:column headerValue="Status">
             <apex:outputField value="{!p.Status__c}"/>
          </apex:column>  
      </apex:pageBlocktable> 
      </apex:pageBlock>
</apex:form>   
    </apex:page>